Developers

Creates a Ticket resource

POST
/ticket/tickets

Creates a Ticket resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Request Body

The new Ticket resource

TypeScript Definitions

Use the request body type in TypeScript.

subject*string
Lengthlength <= 250
isInternal*boolean
ticketTypes?array<>|null
clientName?string
Lengthlength <= 200
clientEmail?string
Lengthlength <= 320
allowForAttachments*boolean
contractorId?|
Formatuuid
priority*int

Value in

  • 30
  • 20
  • 10
content?|
Lengthlength <= 100000
customFieldValues?array<>

Response Body

curl -X POST "https://example.com/ticket/tickets" \  -H "Content-Type: application/json" \  -d '{    "subject": "string",    "isInternal": true,    "allowForAttachments": true,    "priority": 30  }'
{  "allowForAttachments": true,  "submittedForm": [    {      "fieldType": "short-answer",      "name": "First field",      "order": 0,      "isRequired": true,      "maxLength": 250,      "answer": "test@example.com"    },    {      "fieldType": "long-answer",      "name": "Second field",      "order": 1,      "isRequired": false,      "maxLength": 4000,      "answer": "Lorem Ipsum!"    },    {      "fieldType": "single-choice",      "name": "Third field",      "order": 2,      "isRequired": false,      "options": [        "First option",        "Second option",        "Third option"      ],      "choice": 0    },    {      "fieldType": "multiple-choice",      "name": "Fourth field",      "order": 3,      "isRequired": false,      "options": [        "First option",        "Second option",        "Third option"      ],      "choice": [        1,        2      ]    },    {      "fieldType": "dropdown",      "name": "Fifth field",      "order": 4,      "isRequired": false,      "options": [        "First option",        "Second option",        "Third option"      ],      "choice": null    }  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "sourceType": "form",  "isInternal": true,  "shortCode": "string",  "no": 0,  "subject": "string",  "ticketTypes": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "decorator": "#78909c"    }  ],  "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",  "operator": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  },  "clientName": "string",  "clientEmail": "string",  "status": "new",  "statusChangedAt": "2019-08-24T14:15:22Z",  "statusChangedToInProgressAt": "2019-08-24T14:15:22Z",  "statusChangedToFinishedAt": "2019-08-24T14:15:22Z",  "statusChangedToRejectedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  },  "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",  "contractorName": "string",  "priority": 30,  "ticketForm": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "name": "string",    "description": "string"  },  "customFields": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "valueId": "b772d050-4ba4-443b-8ca7-cc1e42bdd731",      "name": "string",      "description": "string",      "dataType": "text",      "valueText": "string",      "valueFloat": "string",      "valueDateTime": "2019-08-24T14:15:22Z",      "valueSelectOptions": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "value": "string",          "weight": 0,          "decorator": "#78909c"        }      ],      "valueSelectUsers": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "email": "string",          "pictureSm": "string"        }      ],      "valueDepartment": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      }    }  ]}